%define name aqbanking
%define version 3.8.2
%define release %mkrel 1
%define major 20
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define fname %name-%{version}
%define gwenmajor 47
%define aqhbcimajor 13
%define aqhbcilibname %mklibname aqhbci %aqhbcimajor
%define qtmajor 6
%define qtlibname %mklibname qbanking %qtmajor
%define ofxmajor 4
%define ofxlibname %mklibname aqofxconnect %ofxmajor

Name: %{name}
Summary: A library for online banking functions and financial data import/export
Version: %{version}
Release: %{release}
Source: http://files.hboeck.de/aq/%fname.tar.gz
Group: System/Libraries
License: GPLv2+
URL: http://www.aquamaniac.de/sites/aqbanking/index.php
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgwenhywfar-devel >= 3.4.0.0
BuildRequires: libchipcard-devel
BuildRequires: libofx-devel >= 0.8.2
BuildRequires: libktoblzcheck-devel
BuildRequires: qt3-devel
BuildRequires: gmp-devel

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package qt3
Summary: QT3-based front-ends for Aqbanking
Group: System/Libraries
Obsoletes: aqhbci-qt-tools
Provides: aqhbci-qt-tools
Provides: aqbanking-ofx-qt3
Obsoletes: aqbanking-ofx-qt3
%description qt3 
Necessary for all banking applications.

%package -n %{qtlibname}
Summary: Library for QT3 front-end for Aqbanding
Group: System/Libraries

%description -n %{qtlibname}
Library for the Aqbanking QT3 integration.


%package -n %{ofxlibname}
Summary: Library for OFX access for Aqbanding
Group: System/Libraries

%description -n %{ofxlibname}
Library for the Aqbanking OFX access.

%if 0
%package geldkarte
Summary: Aqbanking tools for Geldkarte
Group: System/Libraries
%description geldkarte
Necessary for accessing the German Geldkarte system.

%package geldkarte-qt3
Summary: Aqbanking tools for Geldkarte
Group: System/Libraries
Requires: %name-geldkarte = %version
%description geldkarte-qt3
Necessary for accessing the German Geldkarte system.
%endif

%package ofx
Summary: Aqbanking tools for OFX
Group: System/Libraries
%description ofx
Necessary for OFX direct connect access.


%package -n aqhbci
Summary: The HBCI backend for the Aqbanking library
Group: System/Libraries

%description -n aqhbci
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 


%package -n %{aqhbcilibname}
Summary: Library for HBCI backend for Aqbanding
Group: System/Libraries
Requires: aqhbci >= %version

%description -n %{aqhbcilibname}
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 


%package -n %libname
Summary: A library for online banking functions and financial data import/export
Group: System/Libraries
Requires: %name >= %version

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %develname
Summary: Aqbanking development kit
Group: Development/C++
Requires: %{libname} = %{version}
Requires: %aqhbcilibname = %version
Requires: %ofxlibname = %version
Requires: %qtlibname = %version
Provides: lib%name-devel = %{version}-%{release}
Requires: OpenSP-devel
Provides: aqhbci-devel = %version-%release
Provides: libaqhbci-devel = %version-%release
Obsoletes: %mklibname -d %name 16
Obsoletes: %mklibname -d aqhbci 10
Obsoletes: %mklibname -d qbanking 4
Obsoletes: %mklibname -d aqofxconnect 3

%description -n %develname
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.



%prep
%setup -q -n %fname

%build
#gw don't know where this is supposed to come from:
export target_cpu=%_arch
%configure2_5x
#parallel compilation must be disabled
#otherwise build will be linked with system libraries
#not the package one
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang installed-docs

%makeinstall_std
rm -f %buildroot%_libdir/*/*/*/*/*.a
perl -pi -e "s-L$RPM_BUILD_DIR/%fname/src/libs/aqbanking" %buildroot%_libdir/*.la
perl -pi -e "s-L$RPM_BUILD_DIR/%fname/src/plugins/backends/aqhbci/plugin" %buildroot%_libdir/*.la 
find %buildroot%_libdir/*/ -name \*.la|xargs rm -f
chmod 644 %buildroot%_libdir/*.la

%find_lang %name
mv %buildroot%_datadir/doc/%name installed-docs
mv %buildroot%_datadir/doc/aqhbci/* installed-docs

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %aqhbcilibname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %aqhbcilibname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %qtlibname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %qtlibname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %ofxlibname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %ofxlibname -p /sbin/ldconfig
%endif


%files -n aqhbci
%defattr(-,root,root)
%doc src/plugins/backends/aqhbci/tools/aqhbci-tool/README
%_bindir/aqhbci-tool3
%{_bindir}/hbcixml3
%_libdir/%name/plugins/%major/providers/aqhbci*

%files -n %aqhbcilibname
%defattr(-,root,root)
%_libdir/libaqhbci.so.%{aqhbcimajor}*

%files -n %qtlibname
%defattr(-,root,root)
%{_libdir}/libqbanking.so.%{qtmajor}*

%files qt3
%defattr(-,root,root)
%_libdir/%name/plugins/%major/wizards/qt3-wizard
%_libdir/%name/plugins/%major/wizards/qt3_wizard.xml
%_libdir/%name/plugins/%major/debugger/aqhbci/
%_bindir/qb-help%{qtmajor}
%_libdir/%name/plugins/%major/frontends/qbanking/

%files -f %name.lang
%defattr(-,root,root)
%doc installed-docs
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%major/
%dir %{_libdir}/%{name}/plugins/%major/providers/
%dir %{_libdir}/%{name}/plugins/%major/wizards/
%dir %{_libdir}/%{name}/plugins/%major/imexporters/
%{_libdir}/%{name}/plugins/%major/bankinfo/
%{_libdir}/%{name}/plugins/%major/imexporters/csv*
%{_libdir}/%{name}/plugins/%major/imexporters/dtaus*
%{_libdir}/%{name}/plugins/%major/imexporters/eri*
%{_libdir}/%{name}/plugins/%major/imexporters/openhbci*
%{_libdir}/%{name}/plugins/%major/imexporters/sepa*
%{_libdir}/%{name}/plugins/%major/imexporters/swift*
%{_libdir}/%{name}/plugins/%major/imexporters/xmldb*
%{_libdir}/%{name}/plugins/%major/imexporters/yellownet*
%{_libdir}/%{name}/plugins/%major/providers/aqnone*
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/dtaus.so
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/dtaus.xml
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/swift.so
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/swift.xml

%{_datadir}/%{name}

%files ofx
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins/%major/imexporters/ofx*
%{_libdir}/%{name}/plugins/%major/providers/aqofxconnect*

#%files geldkarte
#%defattr(-,root,root)
#%{_libdir}/%{name}/plugins/%major/providers/aqgeldkarte*


%files -n %ofxlibname
%defattr(-,root,root)
%_libdir/libaqofxconnect.so.%{ofxmajor}*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libaqbanking.so.%{major}*
%_libdir/libaqnone.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking
%{_includedir}/aqhbci/
%{_includedir}/qbanking
%{_includedir}/aqofxconnect/
%{_libdir}/libaqbanking.la
%{_libdir}/libaqnone.la
%{_libdir}/libaqbanking.so
%{_libdir}/libaqnone.so
%{_libdir}/libaqhbci.la
%_libdir/libaqhbci.so
%{_libdir}/libqbanking.la
%{_libdir}/libqbanking.so
%_libdir/libaqofxconnect.so
%_libdir/libaqofxconnect.la
%{_datadir}/aclocal/aqbanking.m4
%_libdir/pkgconfig/aqbanking.pc


%changelog
* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 3.8.2-1mdv2009.1
+ Revision: 348260
- new version

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 3.8.1-1mdv2009.1
+ Revision: 309990
- new version
- fix source URL

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 3.8.0-1mdv2009.1
+ Revision: 294859
- new version
- new qtmajor

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 3.7.2-1mdv2009.0
+ Revision: 276482
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 3.7.1-1mdv2009.0
+ Revision: 274299
- new version
- bump deps
- update file list

* Fri Aug 01 2008 Funda Wang <fundawang@mandriva.org> 3.6.2-1mdv2009.0
+ Revision: 259130
- New version 3.6.2

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 3.6.1-1mdv2009.0
+ Revision: 233051
- new version

* Sun Jul 06 2008 Götz Waschk <waschk@mandriva.org> 3.6.0-1mdv2009.0
+ Revision: 232301
- new version
- update file list

* Sat Jun 14 2008 Funda Wang <fundawang@mandriva.org> 3.5.1-1mdv2009.0
+ Revision: 219147
- comment out non-exists subpackages
- New version 3.5.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fundawang@mandriva.org> 3.5.0-1mdv2009.0
+ Revision: 216782
- New version 3.5.0
- fix url

* Wed May 28 2008 Funda Wang <fundawang@mandriva.org> 3.4.2-1mdv2009.0
+ Revision: 212175
- New version 3.4.2

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 3.4.0-1mdv2009.0
+ Revision: 196754
- new version

* Wed Apr 16 2008 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2009.0
+ Revision: 194654
- fix buildrequires
- new version
- remove obsolete subpackages
- new major versions
- bump deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Götz Waschk <waschk@mandriva.org> 2.3.3-1mdv2008.1
+ Revision: 111476
- fix build on x86_64
- new version
- new devel name
- fix buildrequires
- merge some of the devel packages

* Tue May 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.9-1mdv2008.0
+ Revision: 32532
- Release 2.2.9


* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.0
+ Revision: 110815
- new version

* Fri Dec 29 2006 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2007.1
+ Revision: 102534
- new version
- fix buildrequires

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
+ Revision: 89587
- Import aqbanking

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
- New version 2.2.3

* Sun Aug 27 2006 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdv2007.0
- update file list
- New release 2.2.1

* Sat Jun 17 2006 Gtz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.0
- update file list
- bump major
- bump deps
- New release 2.1.0

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdv2007.0
- fix build

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Tue Mar 28 2006 Gtz Waschk <waschk@mandriva.org> 1.9.11-0.rc1.1mdk
- New release 1.9.11

* Fri Mar 24 2006 Götz Waschk <waschk@mandriva.org> 1.9.10-1mdk
- New release 1.9.10

* Tue Mar 21 2006 Gtz Waschk <waschk@mandriva.org> 1.9.9-1mdk
- bump deps
- New release 1.9.9

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-1mdk
- add dtaus package
- update majors
- New release 1.9.8

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-5mdk
- fix conflict

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-4mdk
- obsolete aqbanking-ofx-qt3

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-3mdk
- fix buildrequires

* Sun Feb 19 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-2mdk
- add conflict

* Fri Feb 17 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-1mdk
- update file list
- bump deps
- new major
- New release 1.9.7

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.0-4mdk
- rebuild for new gwenhywfar

* Mon Jan 09 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.8.0-3mdk
- Rebuild

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- build with ktobblzcheck

* Mon Dec 05 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- merge with aqhbci
- update buildrequires
- New release 1.8.0

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdk
- rebuilt against openssl-0.9.8a

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-3mdk
- Remove .so file from lib package

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdk
- cosmetics

* Sat Jul 16 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- update file list
- bump deps
- New release 1.1.0

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 1.0.12-1mdk
- New release 1.0.12

* Sat Jun 04 2005 Gtz Waschk <waschk@mandriva.org> 1.0.11-1mdk
- update file list
- New release 1.0.11

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 1.0.10-1mdk
- New release 1.0.10

* Thu May 05 2005 Gtz Waschk <waschk@mandriva.org> 1.0.9-2mdk
- fix devel deps

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 1.0.9-1mdk
- requires new gwenhywfar
- New release 1.0.9

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk 
- Release 1.0.7

* Mon Feb 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5beta

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-2mdk 
- Fix .la files

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- initial package

